Package wx :: Package lib :: Package agw :: Module flatmenu :: Class ShadowPopupWindow

[frames | no frames]

## Type ShadowPopupWindow

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
               PopupWindow --+
                             |
                            ShadowPopupWindow

Known Subclasses:
  `FlatMenuBase`

Base class for generic FlatMenu derived from wx.PopupWindow.

Method Summary
| ``__init__`(self, parent)` Default class constructor.
| ``CreateMSW`(self)` Create MSW-style PopupWindow with shadows.
| ``MSWGetStyle`(self, flags)` Used internally.
| ``WndProc`(self, hWnd, msg, wparam, lparam)` Used internally.

Property Summary

Instance Method Details

### __init__(self, parent=None)
(Constructor)

Default class constructor.

  Overrides:
    `wx.PopupWindow.__init__`

### CreateMSW(self)

Create MSW-style PopupWindow with shadows. Not used at present.

### MSWGetStyle(self, flags)

Used internally.

### WndProc(self, hWnd, msg, wparam, lparam)

Used internally.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:53:19 2009 | http://epydoc.sf.net